DBSetupCombiner (Hyperic HQ Plugin API)
Keywords: org.hyperic.tools.ant.DBSetupCombiner class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.tools.ant
Class DBSetupCombiner

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.hyperic.tools.ant.BaseFileSetTask
                  org.hyperic.tools.ant.DBSetupCombiner

    public class DBSetupCombiner

extends BaseFileSetTask

An ant task to combine multiple DBSetup XML files into a single file.

Field Summary
`static java.lang.String` | `XML_PREFIX`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`DBSetupCombiner()`

Method Summary
`void` | `execute()`
`void` | `setDebug(boolean debug)`
`void` | `setDestfile(java.io.File destFile)`
`void` | `setName(java.lang.String name)`
`void` | `setNotice(java.lang.String notice)`
`void` | `setOrder(java.lang.String order)`
`protected void` | `validateAttributes()`

Methods inherited from class org.hyperic.tools.ant.BaseFileSetTask
`addFilelist, addFileset, getAllFiles, getAllFileSets`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_PREFIX

    public static final java.lang.String XML_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### DBSetupCombiner

    public DBSetupCombiner()

Method Detail

### setDebug

    public void setDebug(boolean debug)

### setDestfile

    public void setDestfile(java.io.File destFile)

### setOrder

    public void setOrder(java.lang.String order)

### setName

    public void setName(java.lang.String name)

### setNotice

    public void setNotice(java.lang.String notice)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### validateAttributes

    protected void validateAttributes()
                               throws org.apache.tools.ant.BuildException

  Overrides:
    `validateAttributes` in class `BaseFileSetTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.